Bug 990414 - The tag of "open source" on /get-involved page directs to non-existing page
The tag of "open source" on /get-involved page directs to non-existing page
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jessica Forrester
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 03:02 EDT by Tian Feng
Modified: 2015-05-14 22:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:22:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tian Feng 2013-07-31 03:02:47 EDT
Description of problem:
On /get-involved page, and click the "Tags: open source", it returns "page not found".

Version-Release number of selected component (if applicable):
INT(devenv_3586)

How reproducible:
Always

Steps to Reproduce:
1. go to /get-involved page
2. find "Tags: open source" and click the link
3. 

Actual results:
It returns "Page not found" error.

Expected results:
It should have directed to right page.

Additional info:
Comment 1 Tian Feng 2013-09-26 05:01:00 EDT
Test it on PROD, and find it also contains the tag "open source". I check the url and think the url should direct to tags/open-source instead of tags/open source.
Comment 2 Yujie Zhang 2013-10-16 01:49:14 EDT
The "open source" tag still redirects to 404 not found page on PROD.
Comment 3 Jessica Forrester 2013-11-11 18:01:38 EST
Fix is in https://github.com/openshift/li/pull/2135
Comment 4 openshift-github-bot 2013-11-11 19:44:04 EST
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/6c2713739e7bd6ce442f881fee1f37099c1c0df4
Bug 990414 - fix tag links on pages where tag has a space in it
Comment 5 Tian Feng 2013-11-11 21:57:46 EST
Will test on devenv_4012 when it's ready.
Comment 6 Tian Feng 2013-11-12 01:59:10 EST
Test on devenv_4022. The tag of 'open source' now point to right page. So verify this bug, thanks!

Note You need to log in before you can comment on or make changes to this bug.